<?php

namespace FM\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\QRCodeService;

class QRCodeController
{

    protected $QRCode;

    public function __construct()
    {
        $this->QRCode = new QRCodeService();
    }

    public function getQRCode(DTO\Request $request, DTO\Response $response)
    {
        // se não existir nada no banco de dados referente a essa url
        $bodyRequest = $request->getParameters();
        $url = $bodyRequest["url"];
        $dataURI = $this->QRCode->generateQRCode($url);
        $dtsVal = new DataSet('QRCodeUri', array($dataURI));
        $response->addDataSet($dtsVal);
        return $response;
    }
}
